%global pypi_name cryptography

Name:           python%{python3_pkgversion}-%{pypi_name}
Version:        2.0.3
Release:        3%{?dist}
Summary:        PyCa cryptography

License:        BSD or Apache 2.0
URL:            https://pypi.python.org/pypi/%{pypi_name}/%{version}
Source0:        https://pypi.io/packages/source/%(n=%{pypi_name}; echo ${n:0:1})/%{pypi_name}/%{pypi_name}-%{version}.tar.gz

Requires:       python(abi) >= 3.4
Requires:       python%{python3_pkgversion}-asn1crypto >= 0.21
Requires:       python%{python3_pkgversion}-cffi >= 1.7
Requires:       python%{python3_pkgversion}-six >= 1.4.1
Requires:       python%{python3_pkgversion}-idna >= 2.1

%if 0%{?rhel} && 0%{?rhel} < 7
%else
Requires:       openssl-libs
%endif

BuildRequires:  python3-rpm-macros
BuildRequires:  python%{python3_pkgversion}-devel
BuildRequires:  python%{python3_pkgversion}-setuptools
BuildRequires:  python%{python3_pkgversion}-cryptography-vectors = %{version}
BuildRequires:  python%{python3_pkgversion}-asn1crypto >= 0.21
BuildRequires:  python%{python3_pkgversion}-cffi >= 1.7
BuildRequires:  python%{python3_pkgversion}-six >= 1.4.1
BuildRequires:  python%{python3_pkgversion}-idna >= 2.1
BuildRequires:  python%{python3_pkgversion}-pytz
BuildRequires:  openssl-devel

%{?python_provide:%python_provide python%{python3_pkgversion}-%{pypi_name}}

%description
Cryptography is a package which provides cryptographic recipes and primitives
to Python developers.

%prep
%setup -q -n %{pypi_name}-%{version}

# Remove bundled egg-info
rm -rf %{pypi_name}.egg-info

%build
%py3_build

%install
%py3_install

%files
%doc README.rst docs
%license LICENSE LICENSE.APACHE LICENSE.BSD
%{python3_sitearch}/%{pypi_name}
%{python3_sitearch}/%{pypi_name}-%{version}-py?.?.egg-info

%changelog
* Mon Jul 29 2019 Daniel Uvehag <daniel.uvehag@gmail.com> - 2.0.3-3
- Exclude openssl-libs on EL6 and older

* Fri Feb 02 2018 Daniel Uvehag <daniel.uvehag@gmail.com> - 2.0.3-2
- Added dependencies and build dependencies.

* Thu Sep 14 2017 Daniel Uvehag <daniel.uvehag@gmail.com> - 2.0.3-1
- Initial package.

